//Bhatt B. I. and Thakore S. B., Stoichiometry, 5th Edn., Tata McGraw Hill Education 2010
//Chapter-1: Dimensions and Units
//Example: 1.3 Page 13
//Title: Ton of refrigeration
//============================================
model Ex1_3

//============================================
//Parameter Section
parameter Real Q(unit = "Ton of refrigeration") = 1 "Ton of refrigeration"  ;
parameter Real lamda(unit = "Btu/lb") = 144 "Latent heat of fusion of ice at 32 deg F" ;

//============================================ 
//Variable Section
Real q(unit = "kW") "Energy equivalent to 1 TR" ;

//============================================ 
//Equation Section
equation
q = Q*2000/24*lamda*0.251996*4.184/3600 ;
    // Using conversion factors from table 1.3, pg 9 

end Ex1_3;
//================================================