//Bhatt B. I. and Thakore S. B., Stoichiometry, 5th Edn., Tata McGraw Hill Education, 2010
//Chapter-5: Energy Balances
//Example: 5.30 Page 267
//Title: Mean heat capacity of styrene

//=======================================================
model Ex5_30

//=======================================================
//Parameter Section
parameter Real m(unit = "kmol") = 1 "Moles of styrene as basis";

//=======================================================
//Variable Section
Real delta_H(unit = "kJ/mol") "Enthalpy change between 298.15 and 600 K" ;
Real Cp(unit = "kJ/(kmol K)") "Mean specific heat" ;

//=======================================================
//Equation Section
equation
delta_H = 241749-189398 ;
Cp = delta_H/(600-298.15) ;

end Ex5_30;
//=======================================================