//Bhatt B. I. and Thakore S. B., Stoichiometry, 5th Edn., Tata McGraw Hill Education, 2010
//Chapter-5: Energy Balances
//Example: 5.31 Page 269
//Title: H2SO4 production from anhydrite

//=======================================================
model Ex5_31

//=======================================================
//Parameter Section
parameter Real n(unit = "mol") = 1 "Moles of SiO2 reacted as basis" ;

//=======================================================
//Variable Section
Real H(unit = "kJ/mol") "Standard heat of reaction at 298.15" ;

//=======================================================
//Equation Section
equation
H = (-2879+3*(-296.81)+3/2*0)-(3*(-1432.7)+1*(-903.5)) ;

//Note: Ref. Table 5.23, pg 269
//H is positive hence ren in endothermic

end Ex5_31;
//=======================================================